package com.chameth.yaotp.algos

import org.junit.Assert.assertEquals
import org.junit.Test

class OtpTest {

    @Test
    fun testPad_withShorterNumber() {
        assertEquals("000123", pad(123, 6))
        assertEquals("0000000123", pad(123, 10))
        assertEquals("000000", pad(0, 6))
    }

    @Test
    fun testPad_withLongerNumber() {
        assertEquals("123", pad(123, 0))
        assertEquals("123", pad(123, 3))
    }

}